Lấy danh sách lệnh giao dịch hàng hóa MXV
curl --request GET \
--url https://api.fireant.vn/me/mxv/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/me/mxv/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/me/mxv/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/me/mxv/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/me/mxv/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/me/mxv/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/me/mxv/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"_id": "<string>",
"orderID": "<string>",
"partnerCode": "<string>",
"partnerName": "<string>",
"duration": "<string>",
"orderForm": "<string>",
"filledQty": 123,
"transactionFee": 123,
"memberFee": 123,
"brokerFee": 123,
"status": "<string>",
"inputMethod": "<string>",
"orderCode": "<string>",
"cqgOrderCode": "<string>",
"cqgStatus": 123,
"activeOrderCode": "<string>",
"activeCqgOrderCode": "<string>",
"investorCode": "<string>",
"investorName": "<string>",
"contractCode": "<string>",
"contractName": "<string>",
"commodityCode": "<string>",
"currency": "<string>",
"decimalFormat": 123,
"tickSize": 123,
"initialRequiredMargin": 123,
"exchange": "<string>",
"orderType": "<string>",
"side": "<string>",
"qty": 123,
"remainingQty": 123,
"limitPrice": 123,
"orderProperty": "<string>",
"initiator": "<string>",
"orderDatetime": "2023-11-07T05:31:56Z",
"sessionDate": "2023-11-07T05:31:56Z",
"accountId": "<string>",
"lastModifiedBy": "<string>",
"lastModifiedDatetime": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]Me
Lấy danh sách lệnh giao dịch hàng hóa MXV
GET
/
me
/
mxv
/
orders
Lấy danh sách lệnh giao dịch hàng hóa MXV
curl --request GET \
--url https://api.fireant.vn/me/mxv/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fireant.vn/me/mxv/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fireant.vn/me/mxv/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fireant.vn/me/mxv/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fireant.vn/me/mxv/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fireant.vn/me/mxv/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fireant.vn/me/mxv/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"_id": "<string>",
"orderID": "<string>",
"partnerCode": "<string>",
"partnerName": "<string>",
"duration": "<string>",
"orderForm": "<string>",
"filledQty": 123,
"transactionFee": 123,
"memberFee": 123,
"brokerFee": 123,
"status": "<string>",
"inputMethod": "<string>",
"orderCode": "<string>",
"cqgOrderCode": "<string>",
"cqgStatus": 123,
"activeOrderCode": "<string>",
"activeCqgOrderCode": "<string>",
"investorCode": "<string>",
"investorName": "<string>",
"contractCode": "<string>",
"contractName": "<string>",
"commodityCode": "<string>",
"currency": "<string>",
"decimalFormat": 123,
"tickSize": 123,
"initialRequiredMargin": 123,
"exchange": "<string>",
"orderType": "<string>",
"side": "<string>",
"qty": 123,
"remainingQty": 123,
"limitPrice": 123,
"orderProperty": "<string>",
"initiator": "<string>",
"orderDatetime": "2023-11-07T05:31:56Z",
"sessionDate": "2023-11-07T05:31:56Z",
"accountId": "<string>",
"lastModifiedBy": "<string>",
"lastModifiedDatetime": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]Ủy quyền
OAuth2 Implicit Grant
Tham số truy vấn
Danh sách trạng thái lệnh (VD: WORKING,FILLED)
Vị trí bản ghi đầu tiên lấy về (Dùng để phân trang, mặc địch là 0)
Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)
Phản hồi
Thành công